Name:           libsexymm
Version:        0.1.9
Release:        7%{?dist}

Summary:        C++ wrapper for libsexy

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.chipx86.com/wiki/Libsexy
Source0:        http://releases.chipx86.com/libsexy/libsexymm/libsexymm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  gtkmm24-devel >= 2.4.0
BuildRequires:  libsexy-devel >= 0.1.10
BuildRequires: libxml2-devel

%description
libsexymm is a set of C++ bindings around libsexy, 
compatible with programs using gtkmm.

%package devel
Summary:        Headers for developing programs that will use libsexymm
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel >= 2.4.0
Requires:       libsexy-devel >= 0.1.10


%description devel
This package contains the headers that programmers will need to
develop applications which will use libsexymm.


%prep
%setup -q -n libsexymm-%{version}


%build
%configure --disable-static --enable-docs

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
mkdir -p $RPM_BUILD_ROOT%{_datadir}/libsexymm/
mv $RPM_BUILD_ROOT%{_libdir}/libsexymm/include/libsexymmconfig.h \
 $RPM_BUILD_ROOT%{_includedir}/libsexymm/libsexymmconfig.h
mv $RPM_BUILD_ROOT%{_libdir}/libsexymm/proc/ \
 $RPM_BUILD_ROOT%{_datadir}/libsexymm/

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc COPYING ChangeLog INSTALL NEWS
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%{_includedir}/libsexymm/
%dir %{_datadir}/libsexymm
%{_datadir}/libsexymm/proc
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.9-6
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.9-5
- Autorebuild for GCC 4.3

* Thu Aug 29 2007 Haïkel Guémar <karlthered@gmail.com> - 0.1.9-4
- fixed devel dependencies issues 

* Wed Mar 28 2007 Haïkel Guémar <karlthered@gmail.com> - 0.1.9-3
- unowned directory

* Sun Jan 21 2007 Haïkel Guémar <karlthered@gmail.com> - 0.1.9-2
- rebuild against new cairomm package

* Tue Nov 17 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.9-1
- updated to 0.1.9, license file issue has been fixed upstream

* Tue Sep 12 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.7-4
- rebuild for FC6

* Sun Aug 13 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.7-3
- fixed some rpmlint issues, add a patch to correct the license file

* Tue Jun 13 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.7-2
- some syntax fixes to post and postun section

* Mon May 22 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.7-1
- First Packaging
